<template>
  <tr>
    <td>{{ person.firstName }}</td>
    <td>{{ person.lastName }}</td>
    <td>
      <button type="button" @click="deleteUser">Löschen</button>
    </td>
  </tr>
</template>

<script setup>
  import { usePersonStore } from '@/stores/persons'
  import { computed } from 'vue'

  const props = defineProps({
    personId: String
  })

  const personStore = usePersonStore()
  const person = computed(() => personStore.persons.find(person => person._id === props.personId))

  function deleteUser () {
    personStore.deleteUser(props.person._id)
  }
</script>
